This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 684556 - Xorg - Caught signal 11 (Segmentation fault) [@ exaPrepareAccessReg_mixed]
Xorg - Caught signal 11 (Segmentation fault) [@ exaPrepareAccessReg_mixed]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:crash]
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-13 08:37 EDT by sd.domrep
Modified: 2012-08-07 10:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
valgrind of Xorg (24.53 KB, text/plain)
2011-04-28 03:22 EDT, Marko Macek
no flags Details
crash fix when setting bg = None on root window (690 bytes, patch)
2011-05-15 09:19 EDT, Marko Macek
marko.macek: review?
Details | Diff

  None (edit)
Description sd.domrep 2011-03-13 08:37:05 EDT
Description of problem:

I have Fedora 14, and Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller. As long as picture quality was not good for long use, I decided to play with Fedora and updated Xorg to server-1.10.0-3, drv-intel-2.14.0-3,
GL_RENDERER   = Mesa DRI Intel(R) 915GM GEM 20100330 DEVELOPMENT 
GL_VERSION    = 1.4 Mesa 7.10-devel

When I do LOGOUT slim never starts, and in Xorg.0.log I have:
...
[   375.790] 
Backtrace:
[   375.791] 0: X (xorg_backtrace+0x3c) [0x80e8a2c]
[   375.791] 1: X (0x8048000+0x5f566) [0x80a7566]
[   375.791] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xa1e40c]
[   375.791] 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x23cc6) [0x4d3cc6]
[   375.791] 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x24125) [0x4d4125]
[   375.791] 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x241c8) [0x4d41c8]
[   375.791] 6: X (0x8048000+0xa3bbe) [0x80ebbbe]
[   375.791] 7: X (ChangeWindowAttributes+0x26f) [0x809bbdf]
[   375.791] 8: X (0x8048000+0x22e48) [0x806ae48]
[   375.791] 9: X (0x8048000+0x29227) [0x8071227]
[   375.791] 10: X (0x8048000+0x1c2fc) [0x80642fc]
[   375.791] 11: /lib/libc.so.6 (__libc_start_main+0xe6) [0x1c5e36]
[   375.792] 12: X (0x8048000+0x1c611) [0x8064611]
[   375.792] Segmentation fault at address 0x10
[   375.792] 
Fatal server error:
[   375.792] Caught signal 11 (Segmentation fault). Server aborting
[   375.792] 
[   375.792] 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
...
Version-Release number of selected component (if applicable):
2.6.38-0.rc8.git0.1.fc15.i686.PAE #1 SMP Tue Mar 8 08:16:43 UTC 2011 i686 i686 i386 GNU/Linux
Xorg to server-1.10.0-3
drv-intel-2.14.0-3
GL_RENDERER   = Mesa DRI Intel(R) 915GM GEM 20100330 DEVELOPMENT 
GL_VERSION    = 1.4 Mesa 7.10-devel

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

In addition I want to say that, you do not like to hear about glxgears, but it says:
$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
I have:
  1024x768 (0x42)   65.0MHz -HSync -VSync *current +preferred
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz

But glxgears gives me:
68 frames in 5.0 seconds = 13.526 FPS
83 frames in 5.0 seconds = 16.600 FPS
89 frames in 5.2 seconds = 17.222 FPS
75 frames in 5.1 seconds = 14.758 FPS

When I start to move mouse around it shows about 60 FPS.
Comment 1 sd.domrep 2011-03-31 03:55:36 EDT
Dear All.

Mar 31 Updated: mesa-libGL-7.11-0.3.20110330.0.fc15.i686
Mar 31 Updated: mesa-libGLU-7.11-0.3.20110330.0.fc15.i686
Mar 31 Installed: kernel-PAE-2.6.38.2-9.fc15.i686
Mar 31 Updated: mesa-dri-filesystem-7.11-0.3.20110330.0.fc15.i686
Mar 31 Updated: xorg-x11-server-common-1.10.0-7.fc15.i686
Mar 31 Updated: kernel-headers-2.6.38.2-9.fc15.i686
Mar 31 Updated: mesa-dri-llvmcore-7.11-0.3.20110330.0.fc15.i686
Mar 31 Updated: mesa-dri-drivers-7.11-0.3.20110330.0.fc15.i686
Mar 31 Updated: xorg-x11-server-Xorg-1.10.0-7.fc15.i686

After logout from xfce4 got in Xorg.0.log
Backtrace:
[    95.633] 0: X (xorg_backtrace+0x3c) [0x80e8b5c]
[    95.633] 1: X (0x8048000+0x5f6d6) [0x80a76d6]
[    95.633] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x22a40c]
[    95.633] 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x56a000+0x24196) [0x58e196]
[    95.633] 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x56a000+0x245f5) [0x58e5f5]
[    95.633] 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x56a000+0x24698) [0x58e698]
[    95.633] 6: X (0x8048000+0xa3cee) [0x80ebcee]
[    95.633] 7: X (ChangeWindowAttributes+0x268) [0x809bc88]
[    95.633] 8: X (0x8048000+0x22ea8) [0x806aea8]
[    95.633] 9: X (0x8048000+0x29287) [0x8071287]
[    95.633] 10: X (0x8048000+0x1c35c) [0x806435c]
[    95.634] 11: /lib/libc.so.6 (__libc_start_main+0xe6) [0x3cbe36]
[    95.634] 12: X (0x8048000+0x1c671) [0x8064671]
[    95.634] Segmentation fault at address 0x10
[    95.634] 
Fatal server error:
[    95.634] Caught signal 11 (Segmentation fault). Server aborting
[    95.634] 
[    95.634] 
Please consult the Fedora Project support 
         at http://wiki.x.org
Comment 2 sd.domrep 2011-04-18 09:26:32 EDT
OK. Today updated to xorg-x11-server-1.10.1-7.fc15
And got segmentation fault again: 

Backtrace:
[    59.765] 0: X (xorg_backtrace+0x3c) [0x80e8c0c]
[    59.765] 1: X (0x8048000+0x5f786) [0x80a7786]
[    59.765] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xbfa40c]
[    59.765] 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x5be000+0x24166) [0x5e2166]
[    59.765] 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x5be000+0x245c5) [0x5e25c5]
[    59.765] 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x5be000+0x24668) [0x5e2668]
[    59.765] 6: X (0x8048000+0xa3d9e) [0x80ebd9e]
[    59.765] 7: X (ChangeWindowAttributes+0x268) [0x809bd68]
[    59.765] 8: X (0x8048000+0x22ef8) [0x806aef8]
[    59.765] 9: X (0x8048000+0x292d7) [0x80712d7]
[    59.765] 10: X (0x8048000+0x1c38c) [0x806438c]
[    59.766] 11: /lib/libc.so.6 (__libc_start_main+0xe6) [0x88de36]
[    59.766] 12: X (0x8048000+0x1c6a1) [0x80646a1]
[    59.766] Segmentation fault at address 0x10
[    59.766] 
Fatal server error:
[    59.766] Caught signal 11 (Segmentation fault). Server aborting
[    59.766] 
[    59.766] 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 


Thank you.
Comment 3 Adam Jackson 2011-04-25 13:52:20 EDT
(In reply to comment #0)

> Backtrace:
> [   375.791] 0: X (xorg_backtrace+0x3c) [0x80e8a2c]
> [   375.791] 1: X (0x8048000+0x5f566) [0x80a7566]
> [   375.791] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xa1e40c]
> [   375.791] 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x23cc6)
> [0x4d3cc6]
> [   375.791] 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x24125)
> [0x4d4125]
> [   375.791] 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x4b0000+0x241c8)
> [0x4d41c8]
> [   375.791] 6: X (0x8048000+0xa3bbe) [0x80ebbbe]
> [   375.791] 7: X (ChangeWindowAttributes+0x26f) [0x809bbdf]

This is somewhere down in the backing store management code.  Investigating.

> In addition I want to say that, you do not like to hear about glxgears, but it
> says:

There is no possible way this is related to the crash you're seeing.  One bug per bug, please.
Comment 4 Marko Macek 2011-04-28 03:19:19 EDT
I get a similiar crash on F15 beta.

server 1.10.1-11.fc15

drivers: radeon, fbdev

The crash occurs on icewm session startup,
when calling function XSetWindowBackgroundPixmap with pixmap = None (for root window)

Will attach valgrind output.
Comment 5 Marko Macek 2011-04-28 03:22:37 EDT
Created attachment 495427 [details]
valgrind of Xorg
Comment 6 Marko Macek 2011-04-28 08:07:39 EDT
My crash looks like this:

Backtrace:
[   157.244] 0: Xorg (xorg_backtrace+0x2f) [0x4a13df]
[   157.245] 1: Xorg (0x400000+0x622c6) [0x4622c6]
[   157.245] 2: /lib64/libpthread.so.0 (0x3ac9400000+0xf3c0) [0x3ac940f3c0]
[   157.245] 3: Xorg (0x400000+0xb88bd) [0x4b88bd]
[   157.245] 4: Xorg (ChangeWindowAttributes+0xd53) [0x4573e3]
[   157.245] 5: Xorg (0x400000+0x29240) [0x429240]
[   157.245] 6: Xorg (0x400000+0x2ec11) [0x42ec11]
[   157.245] 7: Xorg (0x400000+0x22e1a) [0x422e1a]
[   157.245] 8: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3ac902143d]
[   157.245] 9: Xorg (0x400000+0x23101) [0x423101]
[   157.246] Segmentation fault at address 0x10
[   157.246]
Fatal server error:
[   157.246] Caught signal 11 (Segmentation fault). Server aborting
[   157.246]
[   157.246]
Comment 7 sd.domrep 2011-04-28 10:36:45 EDT
Just updated to xorg-x11-server-1.10.1-14.fc15 and caught the same "Segmentation fault" on logout.
Comment 8 Marko Macek 2011-05-15 03:05:52 EDT
Re #4, crash only happens when root pixmap is set and then cleared
Comment 9 Marko Macek 2011-05-15 09:19:28 EDT
Created attachment 499007 [details]
crash fix when setting bg = None on root window

Minimal fix seem to be this.
Comment 10 Marko Macek 2011-05-17 13:16:26 EDT
Looking at it again, the original problem probably isn't the same as mine...
Comment 11 sd.domrep 2011-05-25 07:12:28 EDT
Some news.
I installed F15 XFCE edition to the same laptop but on different hdd and do not have "Segmentation fault" on logout.
But this time I it is gdm and systemd, on my previous system, which is F14 updated to F15, I used slim and upstart.
As long I do not like gnome desktop I will remove gdm and replace it with slim and then, if I again will get this "Segmentation fault" I will open another bug.

So, I think, this one may be closed.

Thank you.
Comment 12 dashesy 2011-05-26 18:22:34 EDT
I am running XFCE spin F15 (2.6.38.6-27.fc15.x86_64 #1 SMP Sun May 15 17:23:28 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux), it is easily reproduced in my machine, just need to change the "Wallpaper mode" to "Fill with background color only" and X crashes.

My backtrace looks like this:
Backtrace:
[    50.444] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x4a13df]
[    50.444] 1: /usr/bin/X (0x400000+0x622c6) [0x4622c6]
[    50.444] 2: /lib64/libpthread.so.0 (0x7fd228630000+0xf3c0) [0x7fd22863f3c0]
[    50.444] 3: /usr/lib64/xorg/modules/extensions/libextmod.so (0x7fd226853000+0xefab) [0x7fd226861fab]
[    50.444] 4: /usr/bin/X (ChangeWindowAttributes+0xd53) [0x4573e3]
[    50.444] 5: /usr/bin/X (0x400000+0x29240) [0x429240]
[    50.444] 6: /usr/bin/X (0x400000+0x2ec11) [0x42ec11]
[    50.444] 7: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[    50.444] 8: /lib64/libc.so.6 (__libc_start_main+0xed) [0x7fd22736843d]
[    50.444] 9: /usr/bin/X (0x400000+0x23101) [0x423101]
[    50.444] Segmentation fault at address 0x10
[    50.444] 
Fatal server error:
[    50.444] Caught signal 11 (Segmentation fault). Server aborting
[    50.444] 
[    50.444] 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[    50.444] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    50.444] 
[    50.447] (II) Power Button: Close
[    50.447] (II) UnloadModule: "evdev"
[    50.447] (II) Unloading evdev
[    50.447] (II) Power Button: Close
[    50.447] (II) UnloadModule: "evdev"
[    50.447] (II) Unloading evdev
[    50.448] (II) B16_b_02 USB-PS/2 Optical Mouse: Close
[    50.448] (II) UnloadModule: "evdev"
[    50.448] (II) Unloading evdev
[    50.448] (II) Microsoft Natural® Ergonomic Keyboard 4000: Close
[    50.448] (II) UnloadModule: "evdev"
[    50.448] (II) Unloading evdev
[    50.449] (II) Microsoft Natural® Ergonomic Keyboard 4000: Close
[    50.449] (II) UnloadModule: "evdev"
[    50.449] (II) Unloading evdev
[    50.449] (II) AIGLX: Suspending AIGLX clients for VT switch
[    50.449] (II) NOUVEAU(0): NVLeaveVT is called.
Comment 13 dashesy 2011-05-26 18:24:30 EDT
Sorry, it is LXDE spin
Comment 14 sd.domrep 2011-05-27 03:22:52 EDT
I will check this on my XFCE spin. Thanks
Comment 15 Mykola Ulianytskyi 2011-05-29 05:04:03 EDT
Multiple segmentation faults using GIMP:

[  1339.873] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x4a13df]
[  1339.873] 1: /usr/bin/X (0x400000+0x622c6) [0x4622c6]
[  1339.873] 2: /lib64/libpthread.so.0 (0x7fb40aa70000+0xf3c0) [0x7fb40aa7f3c0]
[  1339.873] 3: /lib64/libc.so.6 (0x7fb409787000+0x7a71a) [0x7fb40980171a]
[  1339.873] 4: /lib64/libc.so.6 (__libc_malloc+0x75) [0x7fb409803925]
[  1339.873] 5: /usr/lib64/xorg/modules/libexa.so (0x7fb407567000+0x8d27) [0x7fb40756fd27]
[  1339.873] 6: /usr/lib64/xorg/modules/libexa.so (0x7fb407567000+0x12ab6) [0x7fb407579ab6]
[  1339.873] 7: /usr/bin/X (0x400000+0xdb241) [0x4db241]
[  1339.873] 8: /usr/bin/X (0x400000+0x2b25f) [0x42b25f]
[  1339.873] 9: /usr/bin/X (0x400000+0x2ec11) [0x42ec11]
[  1339.874] 10: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[  1339.874] 11: /lib64/libc.so.6 (__libc_start_main+0xed) [0x7fb4097a843d]
[  1339.874] 12: /usr/bin/X (0x400000+0x23101) [0x423101]
[  1339.874] Segmentation fault at address 0x37ad0d8
[  1339.874] 
Fatal server error:
[  1339.874] Caught signal 11 (Segmentation fault). Server aborting

xorg-x11-server-Xorg-1.10.1-14.fc15.x86_64
xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
Comment 16 Matěj Cepl 2011-06-16 17:29:20 EDT
In function exaPrepareAccessReg_mixed:
(from frame 5: /usr/lib64/xorg/modules/libexa.so (0x7fb407567000+0x8d27) [0x7fb40756fd27])
195: 	}
196:     }
197: 
198:     if (!success) {
199: 	ExaMigrationRec pixmaps[1];
200: 
201: 	/* Do we need to allocate our system buffer? */
202: 	if (!pExaPixmap->sys_ptr) {
203: 	    pExaPixmap->sys_ptr = malloc(pExaPixmap->sys_pitch *
204: 					 pPixmap->drawable.height);
205: >>>>>>> 	    if (!pExaPixmap->sys_ptr)
206: 		FatalError("EXA: malloc failed for size %d bytes\n",
207: 			   pExaPixmap->sys_pitch * pPixmap->drawable.height);
208: 	}
209: 
210: 	if (index == EXA_PREPARE_DEST || index == EXA_PREPARE_AUX_DEST) {
211: 	    pixmaps[0].as_dst = TRUE;
212: 	    pixmaps[0].as_src = FALSE;
213: 	} else {
214: 	    pixmaps[0].as_dst = FALSE;
215: 	    pixmaps[0].as_src = TRUE;


Frame 6: /usr/lib64/xorg/modules/libexa.so (0x7fb407567000+0x12ab6) [0x7fb407579ab6]
/usr/src/debug/xorg-server-1.10.1/exa/exa_unaccel.c:281
ExaCheckPolySegment
Frame 7: /usr/bin/X (0x400000+0xdb241) [0x4db241]
/usr/src/debug/xorg-server-1.10.1/miext/damage/damage.c:1145
damagePolySegment
Frame 8: /usr/bin/X (0x400000+0x2b25f) [0x42b25f]
/usr/src/debug/xorg-server-1.10.1/dix/dispatch.c:1768
ProcPolySegment
Frame 9: /usr/bin/X (0x400000+0x2ec11) [0x42ec11]
/usr/src/debug/xorg-server-1.10.1/dix/dispatch.c:431
Dispatch
Frame 10: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
/usr/src/debug/xorg-server-1.10.1/dix/main.c:289
main
Comment 17 Fedora End Of Life 2012-08-07 10:39:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.